<template>
  <div class="mx-auto sbo-theme">
    <header-sbo :theme-properties="themeProperties" />
    <div
      id="body-container"
      :class="['body-container', { 'header-full-width-content': isFullIframe }]"
    >
      <banner
        v-if="included"
        height="460px"
        :actived-tab="activedTab"
        :banner-keys="bannerKeys"
      />
      <slot
        container-class="w-full mx-auto container min-h-[70vh] bg-background1"
        :deposit-withdraw-nav="true"
      />
    </div>
    <lazy-footer template="common" layout="desktop" :information-enabled="false"/>
  </div>
</template>

<script lang="ts">
import _ from "lodash";
import { defineComponent, ref, computed } from "vue";
import EnumAlignment from "@/models/enums/enumAlignment";
import { store } from "@/store";

export default defineComponent({
  name: "App",
  setup() {
    const route = useRoute();
    const align = ref(EnumAlignment.Center);
    const array: Array<string> = [
      "sports",
      "virtualsports",
      "livecasino",
      "games",
      "keno",
      "cockfight",
      "lottery",
      "poker",
      "promotion",
    ];
    const isLoading = computed(() => store.state.isThemePropertyLoading);
    const themeProperties = computed(
      () => store.state.companyThemePropertiesFromApi.ThemeProperties
    );
    const tabSelected = computed(() =>
      _.replace(_.replace(route.path.split("/")[1], "-", ""), "/", "")
    );
    const activedTab = computed(() =>
      tabSelected.value !== "" ? tabSelected.value : "Home"
    );
    const included = computed(() =>
      _.includes(array, _.toLower(activedTab.value))
    );
    const bannerKeys: Record<string, string> = {
      home: "lobby_banner_",
      sports: "sport_banner_",
      virtualsports: "virtual_sport_banner_",
      livecasino: "live_casino_banner_",
      games: "game_banner_",
      poker: "poker_banner_",
      lottery: "lottery_banner_",
      cockfight: "cockfight_banner_",
      promotion: "promotion_banner_",
    };
    const isFullIframe: Ref<boolean> = ref((
      _.find(["saba", "digi", "afb", "bti", "pa"], (item: string) =>
        _.includes(_.toLower(String(route.query.provider)), item)
      ) !== undefined || _.toLower(String(route.query.englishGameName)) === "sbosportsmodern") ||
      route.query.tab === "sports"
    );
    watch(route, () => {
      const providerCheck =
        _.find(["saba", "digi", "afb", "bti", "pa"], (item: string) =>
          _.includes(_.toLower(String(route.query.provider)), item)
        ) !== undefined;
      const isSboModernDesktop = _.toLower(String(route.query.englishGameName)) === "sbosportsmodern";
      isFullIframe.value = providerCheck || isSboModernDesktop || route.query.tab === "sports";
    });
    return {
      align,
      included,
      isLoading,
      bannerKeys,
      activedTab,
      themeProperties,
      isFullIframe,
    };
  },
});
</script>
<style lang="scss">
body {
  background: var(--background3) !important;
  min-height: 100vh;
  .AgentCooperation {
    background: var(--background1);
  }
  .bg-qrcode-container {
    background: var(--border);
  }
}
@import "@/assets/styles/desktop/sbo.scss";
@media (max-width: 1090px) {
  div.container {
    max-width: 915px;
  }
}
@media (max-width: 1150px) {
  body {
    overflow: scroll;
    width: 1150px;
  }
}
.bottom-divider {
  width: 100%;
  height: 25px;
  background: linear-gradient(180deg, #eaf0ff 0%, #bbd3f9 100%);
  border-bottom: 3px solid;
  border-color: #394c8d;
}
html[lang*="ja"] {
  div[layout="sbo"] {
    .header-container .menu-bar ul a {
      font-size: 13px !important;
    }
  }
}
[layout="sbo"] {
  .tab-hover {
    top: 0;
    width: var(--default-width);
    transition-duration: 0.5s;
  }
  .translate-y-0 {
    top: 109px;
  }
}
</style>
<style scoped lang="scss">
[layout="sbo"] {
  :deep(.popular-match-card-desktop) {
    width: 360px;
  }
}
</style>
<style lang="postcss">
.btn {
  @apply border-0 inline-block text-center text-white duration-300;
}
.sbo-theme .help-center-page {
  margin-top: 22px !important;
}
</style>
